RAND(1SSL)

NOM
rand - Générer des octets pseudoaléatoires

SYNOPSIS
openssl rand [-out fichier] [-rand fichier(s)] [-base64] [-hex] nombre

DESCRIPTION
La commande rand produit nombre octets pseudoaléatoires après avoir initialisé le générateur de nombres aléatoires. Comme pour les autres commandes openssl, l’initialisation du générateur de nombres pseudoaléatoires utilise le fichier $HOME/.rnd ou .rnd en plus des fichiers fournis par l'option -rand. Un nouveau fichier $HOME/.rnd ou .rnd sera écrit en retour si une initialisation suffisante a pu être obtenue de ces sources.

OPTIONS

-out fichier
    Écrire dans fichier au lieu de la sortie standard.

-rand fichier(s)
    Utiliser les fichiers (ou socket EGD ; consultez RAND_egd(3)) indiqués pour initialiser le générateur de nombres aléatoires. Plusieurs fichiers peuvent être indiqués en utilisant le séparateur du système d'exploitation. Le séparateur est ; sous MS-Windows, , sous OpenVMS, et : pour les autres.

-base64
    Encoder la sortie en base64.

-hex
    Afficher la sortie comme une chaîne hexadécimale.

VOIR AUSSI
RAND_bytes(3)

TRADUCTION
La traduction de cette page de manuel est maintenue par les membres de la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.